Get contract address by transaction hash
Retrieve the contract address by blockchain native asset ID and transaction hash
GET
/
contract_interactions
/
base_asset_id
/
{baseAssetId}
/
tx_hash
/
{txHash}
TypeScript
const response: Promise<FireblocksResponse<ContractAddressResponse>> = fireblocks.contractInteractions.getContractAddress(contractInteractionsApiGetContractAddressRequest);CompletableFuture<ApiResponse<ContractAddressResponse>> response = fireblocks.contractInteractions().getContractAddress(baseAssetId, txHash, idempotencyKey);response = fireblocks.contract_interactions.get_contract_address(base_asset_id, tx_hash, idempotency_key);curl --request GET \
--url https://api.fireblocks.io/v1/contract_interactions/base_asset_id/{baseAssetId}/tx_hash/{txHash}const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/contract_interactions/base_asset_id/{baseAssetId}/tx_hash/{txHash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contractAddress": "0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66"
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The blockchain base assetId
The transaction hash
Response
Retrieved The Contract Address Successfully
The contract's onchain address
Example:
"0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66"
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<ContractAddressResponse>> = fireblocks.contractInteractions.getContractAddress(contractInteractionsApiGetContractAddressRequest);CompletableFuture<ApiResponse<ContractAddressResponse>> response = fireblocks.contractInteractions().getContractAddress(baseAssetId, txHash, idempotencyKey);response = fireblocks.contract_interactions.get_contract_address(base_asset_id, tx_hash, idempotency_key);